Subject: bug#25099: fill-paragraph racial discrimination space zapping

From: Hong Xu <[email-masked]>
Date: Sun, 04 Dec 2016 13:34:39 -0800

Hi Dan, I think there is actually no issue in your example.  The doc of
fill-paragraph says:

   Fill paragraph at or after point.

That means, the text under point is assumed to be a paragraph. In your
Chinese example, it is actually not a paragraph -- and the effect of
fill-paragraph is exactly correct if treating the text as a paragraph.
The English example just happened to be correct -- the effect would be
the same for paragraphs.

To solve your problem, I suggest creating another function for the
purpose, instead of "fixing" fill-paragraph.